Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Fedora 34 n'est plus maintenu

#1 Re : [Anciennes versions] Installation des programmes » [Résolu] Skype et Netflix sous Fedora : un défi ? » 13/10/2017 07:46:38

Bonjour, et bienvenu :)

Comme l'a dit Edouard, le rpm mis à disposition dans le lien de son message marche sans soucis. Utilisé plusieurs fois sans problème.

En ce qui concerne Netflix, je viens d'essayer sous firefox, je n'ai pas eu de soucis particulier, juste eu à activer les DRMs comme me l'a gentillement proposé Firefox au moment de me connecter au site. Le film se lance sans soucis après cela.

Après, pour info je suis sous Fedora 24 avec un firefox 54.0. Peut être que cela ne marche pas avec une autre version, mais je ne vois pas en quoi.

#2 Re : [Anciennes versions] Support général » [Résolu] Coupure courant durant mise à jour » 01/06/2017 11:05:29

Essaye plutôt avec

dnf upgrade

l'utilisation de update n'est pas conseillée

#3 Re : [Anciennes versions] Support général » [Résolu] Coupure courant durant mise à jour » 01/06/2017 09:42:43

Bonjour,

là comme ça, je ferai, sur l'écran de login : alt+ctrl+F2, tu devrais tomber sur un écran de log tout noir. Connecte toi dessus (le mot de passe est bien entendu caché, c'est normal que tu ne vois rien tappé à l'écran)

# dnf upgrade

D'après la doc, ça devrait reprendre là où ça a planté.

si malheureusement, cela ne corrige pas le soucis de chargement,

# dnf reinstall libsndfile

Edit : Pour revenir en graphique, tu peux faire alt+F1

#4 Re : [Anciennes versions] Installation des programmes » [Résolu] pip3, python et autres... » 01/06/2017 08:51:47

Davdux a écrit :

Cher Mongos.

Un immense merci! Ton pas à pas a fonctionné du tonnerre.
AutoKey est maintenant bien installé...

...mais je ne le trouve pas dans mes apps wink

Dans le doute, j'ai voulu résinstallé Autokey. J'ai bien eu confirmation que tout était en place.

[root@linux fedorax]#  python3.6 -m venv py36
[root@linux fedorax]# source py36/bin/activate
(py36) [root@linux fedorax]# pip install dbus-python
Requirement already satisfied: dbus-python in ./py36/lib/python3.6/site-packages
(py36) [root@linux fedorax]#  pip install git+https://github.com/autokey-py3/autokey
Collecting git+https://github.com/autokey-py3/autokey
  Cloning https://github.com/autokey-py3/autokey to /tmp/pip-1mdl_f6b-build
  Requirement already satisfied (use --upgrade to upgrade): autokey==0.93.10 from git+https://github.com/autokey-py3/autokey in ./py36/lib/python3.6/site-packages
Requirement already satisfied: dbus-python in ./py36/lib/python3.6/site-packages (from autokey==0.93.10)
Requirement already satisfied: pyinotify in ./py36/lib/python3.6/site-packages (from autokey==0.93.10)
Requirement already satisfied: python3-xlib in ./py36/lib/python3.6/site-packages (from autokey==0.93.10)
(py36) [root@linux fedorax]# 

Mais comment y accéder ?

(et par ailleurs, penses tu que je devrais faire le ménage après ton pas à pas, je veux dire avec ce que j'ai fait avant ? Et si oui, comment ?)

Encore une fois un grand merci !


Ce que tu n'as pas compris dans ma manipulation, c'est l'environnement. Si tu veux utiliser quelque chose que tu as installé dans cet environnement, tu dois faire faire un source avant (pour l'activer !). Tu peux bien entendu faire la même chose sans environnement (auquel cas, tu enlèves les lignes qui concerne cet environnement) mais ce n'est pas conseillé (car en cas de soucis, il est plus délicat de revenir à l'état précédent !)

Pour supprimer l'environnement (et donc faire le ménage), il suffit de faire un

rm -r /path/environement

à priori, ici le path en question est dans le dossier fedorax/py36

Une dernière chose : évite d'utiliser root quand cela n'est pas utile ;) Cela evitera pas mal d'erreur d’inattention !

#5 Re : [Anciennes versions] Support général » affichage externe par cable HDMI » 31/05/2017 23:22:15

Bonjour,

que te donne la commande xrandr lorsque tu branches quelque chose sur le port HDMI ?
Est-ce ton PC est un PC avec Nvidia Optimus ?

#6 Re : [Anciennes versions] Installation des programmes » [Résolu] pip3, python et autres... » 31/05/2017 23:18:10

Heldwin a écrit :

Bonjour,
....

Mongos a écrit :

Pour revenir au soucis initial, tu peux toujours faire un

# yum-builddep python3-dbus

pour voir les dépendances qui te manquent

Ce devrait être:

# dnf builddep python3-dbus

https://fedoraproject.org/wiki/Yum_to_DNF_Cheatsheet

Effectivement, au temps pour moi je n'avais jamais pris le temps de ne plus l'utiliser

#7 Re : [Anciennes versions] Installation des programmes » [Résolu] pip3, python et autres... » 31/05/2017 23:17:01

Je viens de tester chez moi sur une fedora 24 (mais ça doit être semblable sur f25)

[Mongos@localhost ~]$  su -lc 'dnf builddep python3-dbus'  # On prend les dépendances de python3-dbus, au cas où
Vérification de l'expiration des métadonnées effectuée il y a 0:03:48 sur Wed May 31 23:07:20 2017.
Le paquet python-devel-2.7.13-2.fc24.x86_64 est déjà installé, ignorer
Le paquet python3-devel-3.5.3-6.fc24.x86_64 est déjà installé, ignorer
Le paquet libtool-2.4.6-13.fc24.x86_64 est déjà installé, ignorer
Le paquet automake-1.15-6.fc24.noarch est déjà installé, ignorer
Le paquet dbus-devel-1:1.11.12-1.fc24.x86_64 est déjà installé, ignorer
Le paquet dbus-glib-devel-0.108-1.fc24.x86_64 est déjà installé, ignorer
Le paquet python-docutils-0.12-0.6.20140510svn7747.fc24.noarch est déjà installé, ignorer
Le paquet dbus-x11-1:1.11.12-1.fc24.x86_64 est déjà installé, ignorer
Le paquet python-gobject-3.20.1-1.fc24.x86_64 est déjà installé, ignorer
Le paquet autoconf-archive-2017.03.21-1.fc24.noarch est déjà installé, ignorer
Dépendances résolues.
Rien à faire.
Terminé !

[Mongos@localhost ~]$ python3.6 -m venv py36  # Creation d'un environnement virtuel, vierge, contenant pip3
[Mongos@localhost ~]$ source py36/bin/activate # passage sur l'environnement virtuel 

(py36) [Mongos@localhost ~]$ pip install dbus-python
Collecting dbus-python
  Using cached dbus-python-1.2.4.tar.gz
Installing collected packages: dbus-python
  Running setup.py install for dbus-python ... done
Successfully installed dbus-python-1.2.4

(py36) [Mongos@localhost ~]$ pip install git+https://github.com/autokey-py3/autokey
Collecting git+https://github.com/autokey-py3/autokey
  Cloning https://github.com/autokey-py3/autokey to /tmp/pip-wlnpiphb-build
Requirement already satisfied: dbus-python in ./py36/lib/python3.6/site-packages (from autokey==0.93.10)
Collecting pyinotify (from autokey==0.93.10)
  Using cached pyinotify-0.9.6.tar.gz
Collecting python3-xlib (from autokey==0.93.10)
  Using cached python3-xlib-0.15.tar.gz
Installing collected packages: pyinotify, python3-xlib, autokey
  Running setup.py install for pyinotify ... done
  Running setup.py install for python3-xlib ... done
  Running setup.py install for autokey ... done
Successfully installed autokey-0.93.10 pyinotify-0.9.6 python3-xlib-0.15

De souvenir il doit y avoir un moyen de créer un venv avec les packages installés. Mais j'ai toujours préféré avoir un environnement maîtrisé.

#8 Re : [Anciennes versions] Installation des programmes » [Résolu] pip3, python et autres... » 31/05/2017 15:09:45

Bonjour, pourquoi ne pas installer directement dbus-python via dnf (qui est à la même version que celle que cherche à installer pip) ?

dnf install python3-dbus

De façon générale, il est déconseillé d'utiliser pip directement sur le système. Tu as bon nombre de package python déjà en rpm, prêt à l'emploi. Si tu as vraiment besoin d'utiliser pip (version particulière, ...) il est recommandé d'utiliser un venv.

Depuis python3.4 tu peux en créer un très simplement :

$ python3 -m venv nom_venv
$ source nom_venv/bin/activate
(nom_venv) $ pip install truc machin==1.2.3

L'avantage, c'est que les paquets installés ainsi ne toucherons pas les paquets systèmes. Et ton application aura ce dont elle a besoin


Pour revenir au soucis initial, tu peux toujours faire un

# yum-builddep python3-dbus

pour voir les dépendances qui te manquent

#9 Re : [Anciennes versions] Support général » [Résolu] besoin d'aide rc.local » 31/05/2017 08:54:48

Tu peux toujours tenter de faire une unité systemd que tu place dans /etc/systemd/system/check-network.service

[Unit]
  Description=Check network
  Wants=network-online.target
  After=network.target network-online.target
[Service]
  Type=oneshot
  ExecStart=/path/to/script
[Install]
  WantedBy=multi-user.target 

puis

# systemctl enable check-network

#10 Re : [Anciennes versions] Support général » [Résolu] besoin d'aide rc.local » 30/05/2017 17:03:47

Hum, je pense qu'il y a erreur

soit tu fais

/usr/bin/ping -c1 192.168.0.100
if [[ $? -eq 0 ]]; then xxxxx; fi

soit tu fais

/usr/bin/ping -c1 192.168.0.100
if [[ "$?" == "0" ]]; then xxxxx; fi

== c'est pour les string et -eq pour les entiers

#11 Re : [Anciennes versions] Support général » [Résolu] besoin d'aide rc.local » 30/05/2017 12:50:31

Bonjour,

même si les scripts init.d sont executés par systemd, l'utilisation de script systemd te donnerai la possibilité de régler l'ordonnecement de ton script (en gros, tu veux que ton script soit lancé en fin de boot, pas au début). Ce n'est pas très compliqué, il y a pas de doc à ce sujet sur le net.

Sinon, le soucis de ton script init.d est probablement lié au fait que les PATH ne sont pas configurés au moment de l'execution des scripts. je t'invite à utiliser /usr/bin/ping en lieu et place de ping

Pour rappel, si tu te demande où se trouve exactement le binaire que tu cherches à utiliser, which est là pour t'aider :

$ which ping
/usr/bin/ping

#12 Re : [Anciennes versions] Support général » [Résolu] packages » 23/05/2017 17:52:22

Bonjour

dnf list *libelf*
Paquets installés
elfutils-libelf.i686                                                       0.168-1.fc24                                         @updates
elfutils-libelf.x86_64                                                     0.168-1.fc24                                         @updates
elfutils-libelf-devel.x86_64                                               0.168-1.fc24                                         @updates
Paquets disponibles
elfutils-libelf-devel.i686                                                 0.168-1.fc24                                         updates 
elfutils-libelf-devel-static.i686                                          0.168-1.fc24                                         updates 
elfutils-libelf-devel-static.x86_64                                        0.168-1.fc24                                         updates  

En gros, le seul paquet que tu n'as pas essayé dans la liste proposé, était le bon....

#13 Re : KDE » Plasma 5.10 » 16/05/2017 11:35:40

Perso, une option que j'utilise énormément sous kde, et que je n'ai jamais trouvé ailleurs (en tout cas, pas avec cette souplesse), c'est la gestion totalement personnalisée des fenêtres :
- Tel application, je veux qu'elle soit positionné sur cet écran, à cette position, toujours en fond
- Tel application, je veux qu'elle soit en plein écran (même si la dite application ne gère que le fenêtré)
- Tel application, je la veux sans bordure
- etc....

#14 Re : [Anciennes versions] Support général » [Résolu] [F25] test page html depuis le wan avec ddns » 18/04/2017 18:45:31

Je viens de tester, et j'y accède bien via http://alpha30.ddns.net/phpMyAdmin/

Donc ton soucis viens bien de là. Maintenant que l'on sait d'où vient le soucis, tu devrais faire comme l'a indiqué Nicoss, et n'autoriser que les IP nécessaires.

#15 Re : [Anciennes versions] Support général » [Résolu] [F25] test page html depuis le wan avec ddns » 18/04/2017 14:56:17

Je suis dans un bon jour...
Je viens d'installer phpMyAdmin sur ma machine, pour voir la configuration par défaut :

 user$ cat /etc/httpd/conf.d/phpMyAdmin.conf
# phpMyAdmin - Web based MySQL browser written in php
# 
# Allows only localhost by default
#
# But allowing phpMyAdmin to anyone other than localhost should be considered
# dangerous unless properly secured by SSL

Alias /phpMyAdmin /usr/share/phpMyAdmin
Alias /phpmyadmin /usr/share/phpMyAdmin

<Directory /usr/share/phpMyAdmin/>
   AddDefaultCharset UTF-8

   <IfModule mod_authz_core.c>
     # Apache 2.4
     <RequireAny>
       Require ip 127.0.0.1
       Require ip ::1
     </RequireAny>
   </IfModule>
   <IfModule !mod_authz_core.c>
     # Apache 2.2
     Order Deny,Allow
     Deny from All
     Allow from 127.0.0.1
     Allow from ::1
   </IfModule>
</Directory>

<Directory /usr/share/phpMyAdmin/setup/>
   <IfModule mod_authz_core.c>
     # Apache 2.4
     <RequireAny>
       Require ip 127.0.0.1
       Require ip ::1
     </RequireAny>
   </IfModule>
   <IfModule !mod_authz_core.c>
     # Apache 2.2
     Order Deny,Allow
     Deny from All
     Allow from 127.0.0.1
     Allow from ::1
   </IfModule>
</Directory>

# These directories do not require access over HTTP - taken from the original
# phpMyAdmin upstream tarball
#
<Directory /usr/share/phpMyAdmin/libraries/>
    Order Deny,Allow
    Deny from All
    Allow from None
</Directory>

<Directory /usr/share/phpMyAdmin/setup/lib/>
    Order Deny,Allow
    Deny from All
    Allow from None
</Directory>

<Directory /usr/share/phpMyAdmin/setup/frames/>
    Order Deny,Allow
    Deny from All
    Allow from None
</Directory>

# This configuration prevents mod_security at phpMyAdmin directories from
# filtering SQL etc.  This may break your mod_security implementation.
#
#<IfModule mod_security.c>
#    <Directory /usr/share/phpMyAdmin/>
#        SecRuleInheritance Off
#    </Directory>
#</IfModule>

Par défaut, phpMyAdmin refuse les accès distants. Tu dois ajouter

Require all granted

au dessus de chaque Require ip 127.0.0.1.
Si jamais pour une raison obscure tu es en apache 2.2, Remplace les Deny from All en Allow from All.

Redémarre le serveur apache, ça devrait le faire.

#16 Re : [Anciennes versions] Support général » [Résolu] [F25] test page html depuis le wan avec ddns » 18/04/2017 11:39:10

Bonjour,

As-tu configuré phpmyadmin pour être accessible sur un réseau extérieur ? Je suis prêt à parier que phpmyadmin n'écoute que sur 192.168.1.30/24 voir 192.168.1.30 seul...

#17 Re : A propos de fedora-fr » Fedora-Fr de l'HTTP vers HTTPs » 29/03/2017 22:44:35

En fait, c'est pas vraiment un soucis, car il est automatiquement redirigé en https (grace à la bonne configuration serveur réalisé par notre llaumgui !). Cela permet de ne pas avoir de liens morts sur des liens http au lieu https, en gardant que du https sur le serveur.

#18 Re : [Anciennes versions] Support général » [Résolu] faire pointer var/www/ sur mon home » 21/02/2017 22:27:51

homere57 a écrit :

bonjour
j'ai lu et relu la documentation , mais je ne vois pas quel fichier  il faut modifier pour que mon répertoire de travail de mon site en local soit sur mon home/user au lieu de /var/www/html
a+

Bonjour,

pour quel serveur ? Apache ? Lighthttpd ?

Pour apache, je sais qu'il a tendance à ne pas vouloir fonctionner avec des liens symboliques (pas trop cherché pourquoi)
Cependant, tu peux jouer avec le paramètre DocumentRoot et la balise directory, qui te permet de mettre ton site sur n'importe quel dossier.
Tu peux voir du côté des virtualhost, qui permet assez simplement de configurer différents dossier sur un même serveur. Tu trouveras pas mal de documentation à ce sujet sur le net. Fais juste attention à bien ajouter les configuration dans /etc/httpd/conf.d/nom_conf.d et de ne pas modifier le fichier /etc/httpd/conf/httpd.conf, qui sera très souvent écrasé via les mises à jours.

Pour lighthttpd, je ne sais pas trop, mais ça doit être du même type.

#19 Re : [Anciennes versions] Jeux » Plantage en jeu » 26/12/2016 10:53:08

Est-ce que si tu lances le jeu en ligne de commande, tu as un retour lors d'un freeze ?

#20 Re : [Anciennes versions] Support général » [Résolu] Montage HDD SATA n'est plus automatique » 15/12/2016 19:26:53

joshw a écrit :

@Nouvo,

Pour info, j'ai fermé windows normalement...

C'est quel windows ? Et comment as-tu fermé normalement ? Car selon la version, ça peut être mis en hibernation par défaut, au lieu de l'arrêter.

Pour éviter ce genre de soucis, j'utilise cette commande sous windows :

shutdown /s /f /t 0 

#21 Re : [Anciennes versions] Support général » [Résolu] Problème de cohabitation fedora centos » 14/12/2016 14:45:13

jeannot a écrit :

Je suis un peu perdu pour moi selon les informations récoltées le système démarre et lance un programme de démarrage du système d'exploitation qui est installé avec anaconda et se réfère aux informations de grub2 et comme fedora inscrit le sien à l'installation et que centos a pris la main en installant le sien tout en recherchant les autres os existants pour leur permettre d'être sélectionnés par l'utilisateur ou via un paramètre de configuration.
La commande donnée devait écraser les infos du démarrage de centos par celles de fedora mais cette commande n'a pas aboutie, alors que faire je ne sais pas.
De plus la commande fdisk -l annonce une anomalie est-ce important si oui comment la corriger.
Enfin dans la commande que j'ai passée est-elle correcte  avec les informations de fdisk

[root@PI3100 ~]# fdisk -l
Disque /dev/sda : 931,5 GiB, 1000204886016 octets, 1953525168 secteurs
Unités : secteur de 1 × 512 = 512 octets
Taille de secteur (logique / physique) : 512 octets / 4096 octets
taille d'E/S (minimale / optimale) : 4096 octets / 4096 octets
Type d'étiquette de disque : dos
Identifiant de disque : 0x000d3660

Périphérique Amorçage      Début        Fin   Secteurs Taille Id Type
/dev/sda1    *                63  108736511  108736449  51,9G 83 Linux
/dev/sda2              108742656  190750719   82008064  39,1G 83 Linux
/dev/sda3              190750720 1953523711 1762772992 840,6G  5 Étendue
/dev/sda4              108736512  108742655       6144     3M 82 partition d'éch
/dev/sda5              481230848  588722175  107491328  51,3G 83 Linux
/dev/sda6              588724224  619761663   31037440  14,8G 82 partition d'éch
/dev/sda7              619763712  886730751  266967040 127,3G 83 Linux
/dev/sda8              886732800 1154482175  267749376 127,7G 83 Linux
/dev/sda9             1154484224 1564084223  409600000 195,3G 83 Linux
/dev/sda10            1564086272 1953523711  389437440 185,7G 83 Linux
/dev/sda11             190752768  316301311  125548544  59,9G 83 Linux
/dev/sda12             316303360  481228799  164925440  78,7G 83 Linux

La partition 1 ne commence pas sur une frontière de cylindre physique.
Les entrées de la table de partitions ne sont pas dans l'ordre du disque.

[root@PI3100 ~]# 

sda1 correspond à la partition du système centos
sda2 à celle de fedora 24
sda4 au swap de centos et je m'aperçois quelle est ridicule
sda6 au swap de fedora 24
sda5 n'est pas utilisée pour le moment
Docteur s'est grave ?
A+


Attention, tu mélanges 2 choses : disque et partitions. Comme te l'a dit hechmi50

hechmi50 a écrit :

Pour installer grub sur le boot sector d'une partition il faut utiliser l'option --force pour passer outre l’avertissement de grub. Ici ce n'est pas notre objectif, on veut installer grub sur le mbr du disque.

grub2-install /dev/sda --recheck

Pour info: la numérotation des partitions commence par 1.

la commande doit se faire sur le disque (donc sda, et non pas sda1).
sda représente le disque en entier
sdaX représente une partition sur le disque sda

ici on veut dire : quand je boot sur le disque sda, je veux que se soit le grub de fedora qui se lance.
D'où la commande d'hechmi50, qui dit : installer le grub2 de fedora sur le secteur de boot du disque sda.

#22 Re : [Anciennes versions] Matériel » [Résolu] Forcer la sortie HDMI/DVI, même si aucun écran » 07/12/2016 18:45:41

Bonjour,

c'était le service KScreen2 de KDE qui faisait un peu de zèle. En le désactivant, j'ai pu prendre la main comme je le voulais.

#23 Re : A propos de fedora-fr » spam en polonais » 25/11/2016 12:36:45

Nednet a écrit :

depuis ce matin (j'ai l'impression) un petit malin envoi du "spam" apparemment en polonais (mais un coup de google trad là-dessus ne rend rien de clair)
[...]

Pour infos, un google trad polonais-anglais donnera de meilleurs résultats (d'ailleurs le polonais->français fait polonais->anglais->français)

Mais effectivement, le petit polonais s'accroche, bon courage pour la dépolénisation !

#24 [Anciennes versions] Matériel » [Résolu] Forcer la sortie HDMI/DVI, même si aucun écran » 21/11/2016 15:37:33

Mongos
Réponses : 1

Bonjour,

Tout est dans le titre. Je suis en bi-écran, et j'ai régulièrement besoin de commuter un des 2 écrans (d'une CG à l'autre). Ce qui se passe, c'est que la carte graphique détecte que l'écran n'est plus connecté, et va changer automatiquement pour passer en mode mono-écran.
J'aimerai désactiver cette détection, et que fedora continue de fonctionner en double écran (comme si c'était du VGA en gros), mais je n'ai rien vu de tel, quelqu'un aurait-il une astuce ?

Je suis sur une Nvidia 970GTX, sur driver Propriétaire Nvidia,

Merci d'avance !

Mongos

#25 Re : [Anciennes versions] Support général » Error configuration Tripwire » 15/11/2016 12:16:47

Bonjour,

après quelques recherches, il semblerait que tu doives jouer avec twadmin

# twadmin --create-cfgfile /etc/tripwire/twcfg.txt
# twadmin --create-polfile /etc/tripwire/twpol.txt

Pied de page des forums

Propulsé par FluxBB